﻿@model MIMS.Portal.ViewModels.MerchantViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "تعریف پذیرنده";
}

@section styles{

}
<section id="merchant-create">
    <form method="post" enctype="multipart/form-data">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">مشخصات پذیرنده</h4>
            </div>
            <div class="card-body">

                <div class="card-block">
                    <div class="alert alert-warning no-border mb-1" role="alert">
                        <strong>کاربر گرامی</strong> <br />
                        احتراما پیرو الزام شاپرک مبنی بر پیاده سازی سامانه شاهکار، از این پس کدملی پذیرنده با کدملی دارنده خط تلفن همراه بررسی و صحت سنجی میشود که در صورت عدم تطابق، پایانه (ترمینال) تایید نخواهد شد.
                    </div>
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>

                    <div class="form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="MerchantType" class="control-label"></label>
                                        <span asp-validation-for="MerchantType" class="text-danger"></span>
                                        <select asp-for="MerchantType" asp-description-for="MerchantType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PersonType>()">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>
                                @*<div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="MarketerCode" class="control-label"></label>
                                            <span asp-validation-for="MarketerCode" class="text-danger"></span>
                                            <input asp-for="MarketerCode" asp-description-for="MarketerCode" class="form-control" />
                                        </div>
                                    </div>*@
                            </div>
                            <hr data-content="AND" class="text-divider" />
                            @*<h4 class="form-section"><i class="icon-clipboard4"></i> Requirements</h4>*@
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="FirstName" class="control-label"></label>
                                        <span asp-validation-for="FirstName" class="text-danger"></span>
                                        <input asp-for="FirstName" asp-description-for="FirstName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="LastName" class="control-label"></label>
                                        <span asp-validation-for="LastName" class="text-danger"></span>
                                        <input asp-for="LastName" asp-description-for="LastName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="FatherName" class="control-label"></label>
                                        <span asp-validation-for="FatherName" class="text-danger"></span>
                                        <input asp-for="FatherName" asp-description-for="FatherName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="Gender" class="control-label"></label>
                                        <span asp-validation-for="Gender" class="text-danger"></span>
                                        <select asp-for="Gender" asp-description-for="Gender" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.Gender>()">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="EnglishFirstName" class="control-label"></label>
                                        <span asp-validation-for="EnglishFirstName" class="text-danger"></span>
                                        <input asp-for="EnglishFirstName" asp-description-for="EnglishFirstName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="EnglishLastName" class="control-label"></label>
                                        <span asp-validation-for="EnglishLastName" class="text-danger"></span>
                                        <input asp-for="EnglishLastName" asp-description-for="EnglishLastName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="EnglishFatherName" class="control-label"></label>
                                        <span asp-validation-for="EnglishFatherName" class="text-danger"></span>
                                        <input asp-for="EnglishFatherName" asp-description-for="EnglishFatherName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">

                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="NationalCode" class="control-label"></label>
                                        <span asp-validation-for="NationalCode" class="text-danger"></span>
                                        <input asp-for="NationalCode" asp-description-for="NationalCode" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BirthCertificateNumber" class="control-label"></label>
                                        <span asp-validation-for="BirthCertificateNumber" class="text-danger"></span>
                                        <input asp-for="BirthCertificateNumber" asp-description-for="BirthCertificateNumber" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="BirthDate" class="control-label"></label>
                                        <span asp-validation-for="BirthDate" class="text-danger"></span>
                                        <input asp-for="BirthDate" asp-description-for="BirthDate" class="form-control" />
                                    </div>
                                </div>

                            </div>
                            <hr class="legal-person" />
                            <div class="row legal-person">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CompanyName" class="control-label"></label>
                                        <span asp-validation-for="CompanyName" class="text-danger"></span>
                                        <input asp-for="CompanyName" asp-description-for="CompanyName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="EnglishCompanyName" class="control-label"></label>
                                        <span asp-validation-for="EnglishCompanyName" class="text-danger"></span>
                                        <input asp-for="EnglishCompanyName" asp-description-for="EnglishCompanyName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CompanyNationalId" class="control-label"></label>
                                        <span asp-validation-for="CompanyNationalId" class="text-danger"></span>
                                        <input asp-for="CompanyNationalId" asp-description-for="CompanyNationalId" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CompanyRegisterNumber" class="control-label"></label>
                                        <span asp-validation-for="CompanyRegisterNumber" class="text-danger"></span>
                                        <input asp-for="CompanyRegisterNumber" asp-description-for="CompanyRegisterNumber" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CompanyEconomicCode" class="control-label"></label>
                                        <span asp-validation-for="CompanyEconomicCode" class="text-danger"></span>
                                        <input asp-for="CompanyEconomicCode" asp-description-for="CompanyEconomicCode" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CompanyRegisterDate" class="control-label"></label>
                                        <span asp-validation-for="CompanyRegisterDate" class="text-danger"></span>
                                        <input asp-for="CompanyRegisterDate" asp-description-for="CompanyRegisterDate" class="form-control" />
                                    </div>
                                </div>

                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="Mobile" class="control-label"></label>
                                        <span asp-validation-for="Mobile" class="text-danger"></span>
                                        <input asp-for="Mobile" asp-description-for="Mobile" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="Phone" class="control-label"></label>
                                        <span asp-validation-for="Phone" class="text-danger"></span>
                                        <input asp-for="Phone" asp-description-for="Phone" class="form-control" />
                                    </div>
                                </div>
                                @*<div class="col-md-3">
                                        <div class="form-group">
                                            <label asp-for="Fax" class="control-label"></label>
                                            <span asp-validation-for="Fax" class="text-danger"></span>
                                            <input asp-for="Fax" asp-description-for="Fax" class="form-control" />
                                        </div>
                                    </div>*@

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="Email" class="control-label"></label>
                                        <span asp-validation-for="Email" class="text-danger"></span>
                                        <input asp-for="Email" asp-description-for="Email" class="form-control" />
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="PostalCode" class="control-label"></label>
                                        <span asp-validation-for="PostalCode" class="text-danger"></span>
                                        <input asp-for="PostalCode" asp-description-for="PostalCode" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="form-group">
                                        <label asp-for="Address" class="control-label"></label>
                                        <span asp-validation-for="Address" class="text-danger"></span>
                                        <input asp-for="Address" asp-description-for="Address" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="ReferrerFirstName" class="control-label"></label>
                                        <span asp-validation-for="ReferrerFirstName" class="text-danger"></span>
                                        <input asp-for="ReferrerFirstName" asp-description-for="ReferrerFirstName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="ReferrerLastName" class="control-label"></label>
                                        <span asp-validation-for="ReferrerLastName" class="text-danger"></span>
                                        <input asp-for="ReferrerLastName" asp-description-for="ReferrerLastName" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="ReferrerNationalCode" class="control-label"></label>
                                        <span asp-validation-for="ReferrerNationalCode" class="text-danger"></span>
                                        <input asp-for="ReferrerNationalCode" asp-description-for="ReferrerNationalCode" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="ReferrerMobile" class="control-label"></label>
                                        <span asp-validation-for="ReferrerMobile" class="text-danger"></span>
                                        <input asp-for="ReferrerMobile" asp-description-for="ReferrerMobile" class="form-control" />
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="ReferrerPhone" class="control-label"></label>
                                        <span asp-validation-for="ReferrerPhone" class="text-danger"></span>
                                        <input asp-for="ReferrerPhone" asp-description-for="ReferrerPhone" class="form-control" />
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <partial name="/Views/Shared/Partials/_ImageUploadGuidePartial.cshtml" />
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="IDCardFront" class="control-label"></label>
                                        <span asp-validation-for="IDCardFront" class="text-danger"></span>
                                        <input asp-for="IDCardFront" asp-description-for="IDCardFront" class="form-control-file">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="IDCardBack" class="control-label"></label>
                                        <span asp-validation-for="IDCardBack" class="text-danger"></span>
                                        <input asp-for="IDCardBack" asp-description-for="IDCardBack" class="form-control-file">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CredentialMainPage" class="control-label"></label>
                                        <span asp-validation-for="CredentialMainPage" class="text-danger"></span>
                                        <input asp-for="CredentialMainPage" asp-description-for="CredentialMainPage" class="form-control-file">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="CredentialLastPage" class="control-label"></label>
                                        <span asp-validation-for="CredentialLastPage" class="text-danger"></span>
                                        <input asp-for="CredentialLastPage" asp-description-for="CredentialLastPage" class="form-control-file">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="submit" class="btn btn-primary btn-min-width">
                    ثبت
                </button>
            </div>
        </div>
    </form>
</section>
@section Scripts{
    <script>
        $(document).ready(function () {
            $(".legal-person").hide();
            let merchantType = $("#MerchantType");
            merchantType.change(function () {
                debugger;
                if (merchantType.val() == 2)
                    $(".legal-person").show();
                else
                    $(".legal-person").hide();

                return false;
            })
        });
    </script>
    <script>
        // Add the following code if you want the name of the file appear on select
        $(".custom-file-input").on("change", function () {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });
    </script>
}
